#!/bin/sh
SSE="sse037c";
INSTDIR=`pwd`;

echo "You are about to install $SSE."
echo "If you proceed, documentation will be displayed, followed by"
echo "  another chance to cancel installation of $SSE."
echo "Press enter to proceed, or break now to cancel."
read uio

if [ ! `uname -v` = "5.0.5" ]; then
	echo "$SSE NOT installed, it can only be installed on OpenServer 5.0.5."
	exit
fi
	
if [ ! -f $SSE.ltr ]; then
	echo "$SSE NOT installed, you must place $SSE.ltr in the $INSTDIR directory."
	exit
fi

/usr/bin/more -e $SSE.ltr

echo
echo "To continue installation, press enter.  Break now to cancel."
read uio

if [ ! -f $SSE.files.tar ]; then
	echo "$SSE NOT installed, $SSE.files.tar must exist in the $INSTDIR directory."
	exit
fi

echo "Backing up and installing now..."
echo

umask 077

if [ -d /opt/K/SCO/sse/$SSE ]; then
	echo
	echo $SSE NOT installed.
	echo 
	echo It appears that this patch has already been installed.
	echo If this patch failed during a previous attempt, please
	echo copy the original binaries out of the backup directory,
	echo /opt/K/SCO/sse/$SSE, and replace them in the original
	echo locations.  If you do not, the original copies of the
	echo binaries could be overwritten.
	exit
fi

mkdir -p /opt/K/SCO/sse/$SSE

for backup_file in `/usr/bin/tar tf $INSTDIR/$SSE.files.tar`; do

	backup_dir=`/bin/dirname $backup_file`;

	if [ ! -d /opt/K/SCO/sse/$SSE/backup/$backup_dir ]; then
		mkdir -p /opt/K/SCO/sse/$SSE/backup/$backup_dir
	fi

	# Replace only files that exist on the system.

	if [ -e /$backup_file ]; then
		cp /$backup_file /opt/K/SCO/sse/$SSE/backup/$backup_dir 
		(cd / && /usr/bin/tar xvf $INSTDIR/$SSE.files.tar $backup_file)
	else
		echo "WARNING: $backup_file not replaced; it did not exist."
	fi

done

chmod 700 /opt/K/SCO/sse
chmod -R 0 /opt/K/SCO/sse/$SSE

SSE_FORKED=YES
. $INSTDIR/postinstall-sse037c.sh

echo
echo "Installation complete."
echo 
echo "If you need any to undo the changes made by this SSE, original files"
echo "are located in the /opt/K/SCO/sse/$SSE directory.  The Software Manager"
echo "can be used to fix the permissions on these files after they have been"
echo "restored to their original locations."
echo

