
##
## Postinstall Script for SSE.  This will be called after the install script
## has completed.
##

if [ ! "$SSE_FORKED" = "YES" ]; then
	echo "This script should not be executed directly."; exit;
fi

echo;echo
echo Postinstall...
echo;echo

echo Creating /var/ftpd, chmod 700, root:bin

if [ ! -d /var/ftpd ]; then
	mkdir -m 700 /var/ftpd
fi
chmod 700 /var/ftpd; chown root:bin /var/ftpd

echo Fixing permissions on /var/scohttp/logs
chmod 755 /var/scohttp/logs

echo Updating lp binaries...
for x in cancel lp lpr lpstat lpmove; do
	if [ -f "/usr/lpd/local/$x" ]; then
	 backupdir=/opt/K/SCO/sse/$SSE/backup/usr/lpd/local/;
	   if [ ! -d $backupdir ]; then
		mkdir -p $backupdir
	   fi
	   cp -p /usr/lpd/local/$x $backupdir 	
	   cp -p lp/$x /usr/lpd/local/
	   chmod 2111 /usr/lpd/local/$x

	elif [ -f "/usr/bin/$x" ]; then
	 backupdir=/opt/K/SCO/sse/$SSE/backup/usr/bin;
	   if [ ! -d $backupdir ]; then
		mkdir -p $backupdir
	   fi
	   cp -p /usr/bin/$x $backupdir
	   cp -p lp/$x /usr/bin/
	   chmod 2111 /usr/bin/$x

	elif [ -f "/usr/lib/$x" ]; then
	 backupdir=/opt/K/SCO/sse/$SSE/backup/usr/lib;
	   if [ ! -d $backupdir ]; then
		mkdir -p $backupdir
	   fi
	   cp -p /usr/lib/$x $backupdir
	   cp -p lp/$x /usr/lib/
	   chmod 2111 /usr/lib/$x
	fi

	for optreplace in /opt/K/SCO/Unix/*/.softmgmt/var/usr/bin/$x \
			  /opt/K/SCO/Unix/*/.softmgmt/var/usr/lib/$x; do
		if [ -f "$optreplace" ]; then
		 backupdir=/opt/K/SCO/sse/$SSE/backup/`dirname $optreplace`
		 if [ ! -d $backupdir ]; then
			mkdir -p $backupdir
		 fi
		 cp -p $optreplace $backupdir
		 cp -p lp/$x $optreplace
	   	 chmod 2111 $optreplace/$x
		fi
	done

done

cat << _EOF_

Updating startup scripts...
	
	This security patch includes several new system startup
scripts that must be customized before installed.  Due to the 
level of customization often used in these files, manual modification
may be required.

	This script will now attempt to update each of those files.
The originals of the files will be backed up into the directory:

	/opt/K/SCO/sse/$SSE/backup/etc/

_EOF_

echo Press enter to continue.
read UIO

. ./sse-utils.sh

ReplaceThem() {
	cp $newfile $customfile
}

newfiledir=new/
customfiledir=/etc/rc2.d/
backupdir=/opt/K/SCO/sse/$SSE/backup/$customfiledir
if [ ! -d $backupdir ]; then
	mkdir -p $backupdir
fi
for x in S84rpcinit S85nis S85tcp S89nfs; do
	newfile=$newfiledir/$x
	customfile=$customfiledir/$x
	cp $customfile $backupdir

	echo -n "$x - "

	PatchNewWithChanges $customfile $newfile
	case $? in
		0)	echo "Succeeded!"; ReplaceThem ;;
		1)	echo "Failed.  This patch will be done manually."
			echo "There is a file called $x.rej in the $newfiledir"
			echo "directory which contains the failed modification."
			echo "You must apply it manually.  To do this, please"
			echo "follow these steps."
			echo "1 - view the file, which contains snippets of"
			echo "    what the current file SHOULD have in it, "
			echo "    each followed by a snippet of what the fixed"
			echo "    file should look like."
			echo "2 - edit the file and make these changes."
			echo "3 - copy (MAKE SURE TO USE cp, or leave the "
			echo "    symbolic link intact) this new updated file"
			echo "    into the system directory, $customfiledir."
			echo ;;
		2|4) 	echo "Succeeded! (Replaced, no original)"; ReplaceThem ;;
		3)	echo "Succeeded! (No change needed)"; ReplaceThem ;;
	esac	
	echo "Press enter to continue..."
	read UIO
done

